#include <zephyr/kernel.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/devicetree.h>

#include <zephyr/logging/log.h>
LOG_MODULE_REGISTER(MODULE);

#define PCF8574_DEVICE_NODE          DT_NODELABEL(pcf8574)
#if DT_NODE_EXISTS(PCF8574_DEVICE_NODE)
  #if DT_NODE_HAS_STATUS(PCF8574_DEVICE_NODE, okay)
    static const struct device *fppcf8574 = DEVICE_DT_GET(PCF8574_DEVICE_NODE);
  #else
    #error "pcf8574 status is not okay, thus disabled in devicetree"
  #endif
#else
  #error "pcf8574 node could not be found in devicetree"
#endif

int main(void)
{
    if (!device_is_ready(fppcf8574)) {
        LOG_ERR("unable to get the device ready");
        return -ENODEV;
    } else {
        LOG_INF("initialized successfully");
    }
    LOG_INF("starting while loop");
    while(true) {
        LOG_INF("Hello World from RTT! %s", CONFIG_BOARD);
        k_msleep(1000);
    }
    return 0;
}
